/**
 * Place your custom CSS styles here.
 **/

@import 'modules/magalu';

.mg-wrapper {
    position: fixed;
    bottom: 20px;
    left: 10px;
    z-index: 99999999;
}

.mg-btn {
    background: #000;
    color: #FFF;
    border-radius: 5px;
    font-size: 14px;
    display: inline-block;
    font-size: 10px;
    padding: 5px 10px;
    margin-right: 5px;

    &:hover {
        background: #444;
        color: #FFF;
    }
    &:active {
        background: #000;
        color: #FFF;
    }

    &.visible {
        display: inline-block !important;
    }
    
    &.getAllRowsData {
        display: none;
        font-size: 18px;
        width: 150px;
        text-align: center;

        &.loading {
            font-size: 0;

            &:before {
                content: 'Carregando dados...';
                font-size: 18px;
            }
        }
    }

    &.getAllPageData {
        font-size: 18px;
        width: 150px;
        text-align: center;
    }
}

.mg-block {
    display: block;
    background: #000;
    color: #FFF;
    border-radius: 10px;
    padding: 5px 10px;
    font-size: 10px;

    &:hover {
        background: #444;
        color: #FFF;
    }
    &:active {
        background: #000;
        color: #FFF;
    }
    &.loading {
        font-size: 0;

        &:before {
            content: 'Carregando...';
            font-size: 10px;
        }
    }
}

.mg-checkbox-label {
    display: block;
    font-size: 10px;
}

.mg-lightbox-overlay {
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    z-index: 999999999998;
    background: rgba(0,0,0,0.8);
    display: none;

    &.visible {
        display: block;
    }
}
.mg-lightbox {
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.3);
    position: fixed;
    top: 10%;
    left: 10%;
    right: 10%;
    bottom: 10%;
    z-index: 999999999999;
    background: #FFF;
    display: none;

    .mg-lightbox-close {
        position: absolute;
        bottom: 100%;
        right: 0;
        font-size: 0px;
        color: #FFF;
        font-weight: bold;
        padding: 10px;
        z-index: 999;
        cursor: pointer;

        &:before {
            content: '\f00d';
            font-size: 21px;
            font-family: 'FontAwesome';
        }
    }

    .mg-lightbox-content {
        position: absolute;
        top: 0px;
        left: 0px;
        right: 0px;
        bottom: 0px;
        overflow: scroll;
        padding: 10px;
    }

    &.visible {
        display: block;
    }
}

.mg-tempdata {
    display: none;
}

.mg-action-area {
    padding: 5px 0;
}

.mg-table {

    td {
        border: 1px solid #999;
    }
}